/*
 * SpanDSP - a series of DSP components for telephony
 *
 * spandsp.h - The head guy amongst the headers
 *
 * Written by Steve Underwood <spandsp_dev/steveu@coppice.org>
 *
 * Copyright (C) 2003 Steve Underwood
 *
 * All rights reserved.
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 *
 * $Id: spandsp.h,v 1.26 2005/10/10 19:42:25 steveu Exp $
 */

/*! \file */

#if !defined(_SPANDSP_H_)
#define _SPANDSP_H_

#include <inttypes.h>
#include <time.h>
#include <tiffio.h>

#include <spandsp_dev/telephony.h>
#include <spandsp_dev/logging.h>
#include <spandsp_dev/queue.h>
#include <spandsp_dev/schedule.h>
#include <spandsp_dev/alaw_ulaw.h>
#include <spandsp_dev/timing.h>
#include <spandsp_dev/vector.h>
#include <spandsp_dev/complex.h>
#include <spandsp_dev/mmx.h>
#include <spandsp_dev/arctan2.h>
#include <spandsp_dev/biquad.h>
#include <spandsp_dev/fir.h>
#include <spandsp_dev/awgn.h>
#include <spandsp_dev/bert.h>
#include <spandsp_dev/power_meter.h>
#include <spandsp_dev/complex_filters.h>
#include <spandsp_dev/dc_restore.h>
#include <spandsp_dev/dds.h>
#include <spandsp_dev/echo.h>
#include <spandsp_dev/modem_echo.h>
#include <spandsp_dev/fsk.h>
#include <spandsp_dev/hdlc.h>
#include <spandsp_dev/noise.h>
#include <spandsp_dev/oss.h>
#include <spandsp_dev/time_scale.h>
#include <spandsp_dev/tone_detect.h>
#include <spandsp_dev/tone_generate.h>
#include <spandsp_dev/super_tone_rx.h>
#include <spandsp_dev/super_tone_tx.h>
#include <spandsp_dev/ec_disable_detector.h>
#include <spandsp_dev/sig_tone.h>
#include <spandsp_dev/v29rx.h>
#include <spandsp_dev/v29tx.h>
#if defined(ENABLE_V17)
#include <spandsp_dev/v17rx.h>
#include <spandsp_dev/v17tx.h>
#endif
#include <spandsp_dev/v22bis.h>
#include <spandsp_dev/v27ter_rx.h>
#include <spandsp_dev/v27ter_tx.h>
#include <spandsp_dev/v8.h>
#include <spandsp_dev/v42.h>
#include <spandsp_dev/v42bis.h>
#include <spandsp_dev/t4.h>
#include <spandsp_dev/t30.h>
#include <spandsp_dev/t30_fcf.h>
#include <spandsp_dev/t35.h>
#include <spandsp_dev/t31.h>
#include <spandsp_dev/t38.h>
#include <spandsp_dev/fax.h>
#include <spandsp_dev/adsi.h>
#include <spandsp_dev/oki_adpcm.h>
#include <spandsp_dev/ima_adpcm.h>
#include <spandsp_dev/g722.h>
#include <spandsp_dev/plc.h>
#include <spandsp_dev/playout.h>

#endif
/*- End of file ------------------------------------------------------------*/
